Crystal Space: FrameSignpost_2DConsole Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FrameSignpost_2DConsole Class Reference

Inheritance diagram for FrameSignpost_2DConsole:

[legend]
List of all members.

## Public Member Functions
virtual const csHandlerID * | GenericPrec (csRef< iEventHandlerRegistry > &, csRef< iEventNameRegistry > &, csEventID) const
| This function takes a csEventID as an argument and returns an array of csHandlerIDs identifying those event handlers which must, for the given event, only be called before this one (if they have been instantiated).
virtual const csHandlerID * | GenericSucc (csRef< iEventHandlerRegistry > &r1, csRef< iEventNameRegistry > &r2, csEventID e) const
| This function takes a csEventID as an argument and returns an array of csHandlerIDs identifying those event handlers which must, for the given event, only be called after this one (if the have been instantiated).

## Detailed Description

Definition at line 264 of file eventhandlers.h.

## Member Function Documentation

virtual const csHandlerID* FrameSignpost_2DConsole::GenericPrec | ( | csRef< iEventHandlerRegistry > & | ,
|  | csRef< iEventNameRegistry > & | ,
|  | csEventID |  |
| ) |  |  | const`[virtual]`

This function takes a csEventID as an argument and returns an array of csHandlerIDs identifying those event handlers which must, for the given event, only be called before this one (if they have been instantiated).

Should only return generic identifiers, not instance identifiers; in other words, every member of the array should be the result of a call to csHandlerRegistry::GetGenericID("name"), where "name" may be some class's static GenericName() function or a literal string.

This should also be a "virtual static" function, but C++ doesn't have them.

Implements iEventHandler.

virtual const csHandlerID* FrameSignpost_2DConsole::GenericSucc | ( | csRef< iEventHandlerRegistry > & | r1,
|  | csRef< iEventNameRegistry > & | r2,
|  | csEventID | e |
| ) |  |  | const`[virtual]`

This function takes a csEventID as an argument and returns an array of csHandlerIDs identifying those event handlers which must, for the given event, only be called after this one (if the have been instantiated).

Should only return generic identifiers, not instance identifiers; in other words, every member of the array should be the result of a call to csHandlerRegistry::GetGenericID("name"), where "name" may be some class's static GenericString() function or a literal string.

This should also be a "virtual static" function, but C++ doesn't have them.

Implements iEventHandler.

The documentation for this class was generated from the following file:

- csutil/eventhandlers.h